### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-spinner/ecl-spinner.component.ts`

### Extends

`ECLBaseDirective`

### Metadata

selector | `ecl-spinner`
templateUrl | `./ecl-spinner.component.html`

### Index

###### Methods

- getCssClasses

###### Inputs

- isCentered
- isVisible
- size
- variant
- class
- e2eAttr

###### HostBindings

- class

###### Accessors

- cssClasses

### Inputs

isCentered
Type : `boolean`
Default value : `true`

isVisible
Type : `boolean`
Default value : `true`

size
Type : `"small" | "medium" | "large"`
Default value : `'medium'`

variant
Type : `"primary" | "negative"`
Default value : `'primary'`

class
Type : `string`

e2eAttr
Type : `any`

### HostBindings

class
Type : `any`

### Methods

getCssClasses
`getCssClasses(rootClass: string)`

Parameters :

Name | Type | Optional
rootClass | `string` | No

Returns : `string`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""